package mods.immibis.ars;

import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

public class ItemMachines extends ItemBlock {

	public ItemMachines(int i) {
		super(i);
		setMaxDamage(0);
		setHasSubtypes(true);
	}

	@Override
	public int getMetadata(int i) {
		return getPlacedBlockMetadata(i);
	}

	public int getPlacedBlockMetadata(int i) {
		return i;
	}

	@Override
	public String getUnlocalizedName(ItemStack itemstack) {
		int i = itemstack.getItemDamage();
		switch (i) {
		case 0:
			return "tile.immibis/ars:core";
		case 1:
			return "tile.immibis/ars:area-projector";
		case 2:
			return "tile.immibis/ars:line-projector";
		case 3:
			return "tile.immibis/ars:plate-projector";
		case 4:
			return "tile.immibis/ars:tube-projector";
		case 5:
			return "tile.immibis/ars:extender";
		case 6:
			return "tile.immibis/ars:eu-injector";
		case 7:
			return "tile.immibis/ars:reactor-projector";
		}
		return null;
	}
}
