package mods.immibis.ars;

import net.minecraft.item.ItemBlock;
import net.minecraft.item.ItemStack;

public class ItemUpgrades extends ItemBlock {

	public ItemUpgrades(int i) {
		super(i);
		setMaxDamage(0);
		setHasSubtypes(true);
	}

	@Override
	public int getMetadata(int i) {
		return getPlacedBlockMetadata(i);
	}

	public int getPlacedBlockMetadata(int i) {
		return i;
	}

	@Override
	public String getUnlocalizedName(ItemStack itemstack) {
		int i = itemstack.getItemDamage();
		switch (i) {

		case BlockUpgrades.META_SUBWATER:
			return "tile.immibis/ars:underwater-upg";
		case BlockUpgrades.META_DOME:
			return "tile.immibis/ars:dome-upg";
		case BlockUpgrades.META_HARDNER:
			return "tile.immibis/ars:breaker-upg";
		case BlockUpgrades.META_CORE_STORAGE:
			return "tile.immibis/ars:core-storage-upg";
		case BlockUpgrades.META_CORE_RANGE:
			return "tile.immibis/ars:core-range-upg";
		case BlockUpgrades.META_ZAPPER:
			return "tile.immibis/ars:zapper-upg";
		case BlockUpgrades.META_CAMO:
			return "tile.immibis/ars:camo-upg";
		case BlockUpgrades.META_REACTOR_CONNECTOR:
			return "tile.immibis/ars:reactor-connector";
		case BlockUpgrades.META_INHIBITOR:
			return "tile.immibis/ars:inhibitor-upg";
		}
		return null;
	}
}
